Package de.gebit.integrity.dsl

## Interface VariableDefinition

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `PackageStatement`, `SuiteStatement`
  All Known Implementing Classes:
    `VariableDefinitionImpl`

      public interface VariableDefinition
      extends PackageStatement, SuiteStatement

  A representation of the model object 'Variable Definition'.

  The following features are supported:

  - `Private`
  - `Name`
  - `Initial Value`
  See Also:
    `DslPackage.getVariableDefinition()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ValueOrEnumValueOrOperationCollection` | `getInitialValue()` | Returns the value of the 'Initial Value' containment reference.
    `VariableEntity` | `getName()` | Returns the value of the 'Name' containment reference.
    `String` | `getPrivate()` | Returns the value of the 'Private' attribute.
    `void` | `setInitialValue​(ValueOrEnumValueOrOperationCollection value)` | Sets the value of the '`Initial Value`' containment reference.
    `void` | `setName​(VariableEntity value)` | Sets the value of the '`Name`' containment reference.
    `void` | `setPrivate​(String value)` | Sets the value of the '`Private`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getPrivate

          String getPrivate()

      Returns the value of the 'Private' attribute.
      Returns:
        the value of the 'Private' attribute.
      See Also:
        `setPrivate(String)`, `DslPackage.getVariableDefinition_Private()`

    - #### setPrivate

          void setPrivate​(String value)

      Sets the value of the '`Private`' attribute.
      Parameters:
        `value` - the new value of the 'Private' attribute.
      See Also:
        `getPrivate()`

    - #### getName

          VariableEntity getName()

      Returns the value of the 'Name' containment reference.
      Returns:
        the value of the 'Name' containment reference.
      See Also:
        `setName(VariableEntity)`, `DslPackage.getVariableDefinition_Name()`

    - #### setName

          void setName​(VariableEntity value)

      Sets the value of the '`Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Name' containment reference.
      See Also:
        `getName()`

    - #### getInitialValue

          ValueOrEnumValueOrOperationCollection getInitialValue()

      Returns the value of the 'Initial Value' containment reference.
      Returns:
        the value of the 'Initial Value' containment reference.
      See Also:
        `setInitialValue(ValueOrEnumValueOrOperationCollection)`, `DslPackage.getVariableDefinition_InitialValue()`

    - #### setInitialValue

          void setInitialValue​(ValueOrEnumValueOrOperationCollection value)

      Sets the value of the '`Initial Value`' containment reference.
      Parameters:
        `value` - the new value of the 'Initial Value' containment reference.
      See Also:
        `getInitialValue()`